Get subscriptions info
정기 결제 API (2.0)
OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
- Mock serverhttps://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions
- https://subscriptions.xsolla.com/api/user/v1/management/projects/{project_id}/subscriptions
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions?limit=0&offset=0&locale=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'응답
application/json
{ "has_more": "false", "items": [] }
- Mock serverhttps://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/settings
- https://subscriptions.xsolla.com/api/user/v1/management/projects/{project_id}/subscriptions/settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/settings' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'응답
application/json
{ "allow_change_package": "true", "recurrent_cancel_possible": "true" }
- Mock serverhttps://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}
- https://subscriptions.xsolla.com/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'응답
application/json
{ "charge": { "amount": "4.99", "amount_with_promotion": "3.99", "currency": "USD" }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "last_successful_charge": { "amount": "3.99", "currency": "USD", "date": "2031-04-11T13:51:02+03:00" }, "payment_account": { "card_expiry_date": { … }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }, "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_name": "Localized plan name", "product_description": "Localized product description", "product_name": "Product name", "status": "active", "trial_period": "0" }